> For a complete page index of the Captain API documentation, fetch https://docs.filesearch.dev/llms.txt?excludeSpec=true

# Get Investor Preferences

GET https://api.filesearch.dev/v2/datasets/odyssey/investors/{id}/preferences

Get an investor's investment preferences (stage, sector, and check-size focus).

Reference: https://docs.filesearch.dev/reference/datasets/odyssey/investors/investors-preferences

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

Successful Response

- `investor_id` (string, required)
- `check_size_max` (double, optional, nullable)
- `check_size_min` (double, optional, nullable)
- `geographies` (list of string, optional, nullable)
- `investor_name` (string, optional, nullable)
- `sectors` (list of string, optional, nullable)
- `stages` (list of string, optional, nullable)

## Examples

**Response**

```json
{
  "investor_id": "sequoia capital",
  "check_size_max": null,
  "check_size_min": null,
  "geographies": [
    "us",
    "united states"
  ],
  "investor_name": "Sequoia Capital",
  "sectors": [
    "fintech",
    "saas"
  ],
  "stages": [
    "seed",
    "series_a"
  ]
}
```

**SDK Code**

```python Python REST
import requests

BASE_URL = "https://api.filesearch.dev"
API_KEY = "your_api_key"

headers = {"Authorization": f"Bearer {API_KEY}"}

response = requests.get(
    f"{BASE_URL}/v2/datasets/odyssey/investors/sequoia%20capital/preferences",
    headers=headers,
    timeout=60.0
)
print(response.json())
```

```typescript TypeScript REST
const BASE_URL = "https://api.filesearch.dev";
const API_KEY = "your_api_key";

const response = await fetch(`${BASE_URL}/v2/datasets/odyssey/investors/sequoia%20capital/preferences`, {
    method: "GET",
    headers: { "Authorization": `Bearer ${API_KEY}` }
});
console.log(await response.json());
```